let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/lnws52qanbi5vz8qg24v4ym57nznfndg-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/zwa643yj8xw3jfsv1x349qy7d2fbzdz3-coreutils-8.29/bin";
  bzip2 = "/nix/store/llaiq4jrkfv3x71mfm9bg897bm18fh35-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/77yka98f6livcl39i1syn7ms37cj6zcw-gzip-1.9/bin/gzip";
  xz = "/nix/store/cscra2mi70mc7k1i4kqwaxphpg8bm9ql-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/p3ay898zvckxyqw8yv83xawdnwmsnhh2-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/zwa643yj8xw3jfsv1x349qy7d2fbzdz3-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/fbgaa3fb2am30klwv4lls44njwqh487a-nix-2.0.2/bin";
  nixPrefix = "/nix/store/fbgaa3fb2am30klwv4lls44njwqh487a-nix-2.0.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/fbgaa3fb2am30klwv4lls44njwqh487a-nix-2.0.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
